# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name monad-control

%global common_summary Lift control operations through monad transformers

%global common_description This package defines the type class MonadBaseControl, a subset of\
MonadBase into which generic control operations such as catch can be\
lifted from IO or any other base monad. Instances are based on monad\
transformers in MonadTransControl, which includes all standard monad\
transformers in the transformers library except ContT.\
\
See the lifted-base package which uses monad-control to lift IO\
operations from the base library (like catch or bracket) into any\
monad that is an instance of MonadBase or MonadBaseControl.\
\
This package is a rewrite of Anders Kaseorg's monad-peel library.\
The main difference is that this package provides CPS style operators\
and exploits the RankNTypes and TypeFamilies language extensions to\
simplify and speedup most definitions.  A criterion benchmark shows\
that monad-control is on average about 99% faster than monad-peel.

Name:           ghc-%{pkg_name}
Version:        0.3.1.3
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-base-unicode-symbols-devel
BuildRequires:  ghc-transformers-base-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README.markdown NEWS


%changelog
* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.3.1.3-1
- update to 0.3.1.3

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-2
- add license to ghc_files

* Thu Jan 26 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- BSD license
- depends on base-unicode-symbols and transformers-base

* Thu Jan 26 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.4
